;;; -*- Mode:LISP; Package:LISP-INTERNALS; Readtable:CL; Base:10 -*-
;;;
;;; MISCELLANEOUS-FUNCTIONS.LISP

(defun grind-list (list format grinder cycles)
  (declare (ignore list format grinder cycles))
  (trap:illop "GRIND-LIST not yet implemented."))

(defun grind-vector (vector grinder cycles)
  (declare (ignore vector grinder cycles))
  (trap:illop "GRIND-VECTOR not yet implemented."))

(defun grind-array (array grinder cycles)
  (declare (ignore array grinder cycles))
  (trap:illop "GRIND-ARRAY not yet implemented."))

(defun make-grinder (width stream)
  (declare (ignore width stream))
  (trap:illop "MAKE-GRINDER not yet implemented."))

(defun keywordp (thing)
  (if (symbolp thing)
      (eq (symbol:symbol-package thing) (find-package "KEYWORD"))
    NIL))


;; NOT and NULL are DEFREWRITEs in the FLEABIT compiler
;; these definitions are for the interpreter.

(defun not (x)
  (if x nil t))

(defun null (x)
  (if x nil t))


(defun si:xr-bq-list (&rest stuff)
  stuff)

(defun si:xr-bq-list* (&rest stuff)
  (apply #'list* stuff))

(defun proclaimed-special-p (sym)
  NIL)

(defun read-print ()
  (loop
    (fresh-line)
    (princ "==READ-PRINT==> ")
    (print (read))))

(defun constantp (x)
  NIL)

